
D4Science Infrastructure - Task #87

Task # 84 (Closed): Create new virtual machines to host gCube and DScience WIKI

Task # 85 (Closed): Deploy wikimedia on wiki.gcube-system.org and wiki.d4science.org

Make new gCube and D4Science wiki available only on https

May 13, 2015 03:05 PM - Luca Frosini

Status: Closed Start date: May 13, 2015

Priority: High Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: New WIKI Installation   

Infrastructure: Production   

Description

History

#1 - May 13, 2015 03:11 PM - Luca Frosini

- Subject changed from Make new gCube wiki available only on https to Make new gCube and D4Science wiki available only on https

#2 - May 14, 2015 05:34 PM - Massimiliano Assante

I think the login should be on https but why we would want non logged user to use https?

#3 - May 27, 2015 02:21 PM - Luca Frosini

- Assignee changed from Tommaso Piccioli to Andrea Dell'Amico

#4 - May 27, 2015 05:55 PM - Luca Frosini

- Priority changed from Normal to High

#5 - May 28, 2015 03:15 PM - Andrea Dell'Amico

- Parent task set to #85

#6 - Jun 12, 2015 06:19 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 70

The SSL configuration is ready to be deployed.

Before switching to ssl it should be better to test if the site works over plain http.

#7 - Jun 16, 2015 08:24 PM - Pasquale Pagano

- Assignee changed from Andrea Dell'Amico to Luca Frosini

#8 - Jun 17, 2015 12:19 PM - Andrea Dell'Amico

Remember that the configuration steps can chagne depending on the number of VMs. See ticket #85

#9 - Jun 18, 2015 05:04 PM - Luca Frosini

- Assignee changed from Luca Frosini to Andrea Dell'Amico

#10 - Jun 19, 2015 03:53 PM - Andrea Dell'Amico

The ssl certificates are in place. To enable ssl the needed steps are:

Set

http_ssl_enabled

 to True
https://redmine.dev.d4science.org/issues/85


in the playbook file d4science_gcube/group_vars/mediawiki/all.yml

Run the playbook, limited to the nginx configuration to speed up the operations. From inside d4science_gcube:

./run.sh mediawiki.yml -i inventory/hosts --tags=nginx

#11 - Aug 05, 2015 12:55 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

https is working correctly. The http accesses are redirected over https.
